<app-superheader [title]="'Profile'" [subtitle]="'My SiriusID'" [back]="true"></app-superheader>

<ion-content>
  <div class="card-cont">
    <p class="name">{{ name }}</p>
    <qrcode [qrdata]="address" [width]="256" [errorCorrectionLevel]="'M'"></qrcode>
  </div>

  <div class="add-cont">
    <p class="text-blue">SiriusID: </p>
    <p class="text">{{ address }}</p>
  </div>

  <div class="add-cont" *ngIf="balance.length > 0">
    <p class="text-blue-2">Balance: </p>

    <div class="mosaic-block" *ngFor="let item of balance">
      <p class="text-blue">Id: <span class="sub-text-blue">{{item.id}}</span></p>
      <p class="text-blue">Amount: <span class="sub-text-blue">{{item.amount}}</span></p>
    </div>
  </div>

  <div class="add-cont">
    <p class="text-blue">Network Type: {{ networkType }}</p>
  </div>

  <div class="add-cont">
    <button class="btn" (click)="copyText()">
      Copy SiriusID
    </button>

    <div *ngIf="copy" style="text-align: center;color:#1652BA;cursor: pointer;" (click)="copyText()">
      <ion-icon name="checkmark" mode="ios" style="font-size: 30px;position: relative;top:9px;right:-2px"></ion-icon>
      SiriusID Copied
    </div>
  </div>

</ion-content>
